### Method

# Ide SubprocessLauncher get_run_on_host

#### Declaration

    gboolean
    ide_subprocess_launcher_get_run_on_host (
      IdeSubprocessLauncher* self
    )

#### Description

Gets if the process should be executed on the host system. This might be useful for situations where running in a contained environment is not sufficient to perform the given task.

Currently, only flatpak is supported for breaking out of the containment zone and requires the application was built with —allow=devel.

Available since: | 3.32

Gets property | `Ide.SubprocessLauncher:run-on-host`

#### Return value

Returns: | `gboolean`
| `TRUE` if the process should be executed outside the containment zone.